Results 1 to 8 of 8

Thread: Black screen - mouse only

  1. #1

    Unhappy Black screen - mouse only

    Hi all,

    Yesterday I updated from OpenSuSE 13.2 to TUMBLEWEED 20180530 following the guideline from here: https://de.opensuse.org/openSUSE:Tumbleweed-Upgrade

    After booting into the upgraded Linux, I first had a strange problem: the console display was constantly switching between login and boot info about 3 to 4 times per second. However, I eventually managed to login -- password entry was tricky as it was hard to tell onto which console the input went... -- and type "startx". This made the blinking stop. Much better for my eyes... ;-)

    However, x server did not start. It turned out, nvidia drivers had not been updated. I followed the advice from https://en.opensuse.org/SDB:NVIDIA_drivers to add the repository and do "zypper inr -r NVIDIA".

    The next reboot brought me to a black screen with only a mouse cursor on it. In the forum, I found the hint https://forums.opensuse.org/showthre...or-after-login to do "update-alternatives --config default-displaymanager" and use kdm instead. This gave me, upon next reboot, the graphical login form. But after login, I still only get the black screen with mouse only.

    I waited for hours for something to happen. But eventually I only got a message written accross the screen that the screen was now locked and that I should use the console to "loginctl unlock-session 1", which then brought back black plus mouse.

    Now I am finally stuck. Help and hints very much appreciated :-)

  2. #2
    Join Date
    Feb 2018
    Location
    Romania
    Posts
    398

    Default Re: Black screen - mouse only

    Please list your repositories
    zypper lr -d
    I suppose that you use KDE.
    Do you uninstall nvidia driver? Then install it?

  3. #3

    Default Re: Black screen - mouse only

    Before proceeding with such a large update, it is necessary to rename or delete configuration files between hidden files.
    If you arrive at the login try to enter with IceWM.
    ------------------------------------
    Correct me if I'm wrong .
    ------------------------------------

  4. #4

    Default Re: Black screen - mouse only

    Hi another_roadrunner and enziosavio,

    I was about to manually copy of "zypper lr -d" because I was using a different computer as long as I could not start x. But enziosavio´s hint regarding IceWM at least lets me login. So here is the copied output of zypper:

    Code:
    # | Alias        | Name         | Aktiviert | GPG-Überprüfung | Aktualisierung | Priorität | Typ    | URI                                                  | Dienst
    --+--------------+--------------+-----------+-----------------+----------------+-----------+--------+------------------------------------------------------+-------
    1 | NVIDIA       | NVIDIA       | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | https://download.nvidia.com/opensuse/tumbleweed      |       
    2 | repo-debug   | repo-debug   | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/tumbleweed/repo/debug   |       
    3 | repo-non-oss | repo-non-oss | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/tumbleweed/repo/non-oss |       
    4 | repo-oss     | repo-oss     | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/tumbleweed/repo/oss     |       
    5 | repo-update  | repo-update  | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/tumbleweed/      |
    Your other questions:

    1. I have not renamed or deleted any configuration files for the upgrade.
    2. Yes, originally KDE and it is my goal to again use KDE, but because of the problem it is IceWM right now
    3. No, I have not uninstalled the nvidia drivers. I just followed the procedure in the Tumbleweed upgrade Howto. There is no mention of what to do with the nvidia stuff. However, I have updated the drivers as described in the opensuse SDB after I encountered the first problem.


    Thanks so far!

  5. #5

    Default Re: Black screen - mouse only

    Code:
    sudo hwinfo --gfxcard
    ------------------------------------
    Correct me if I'm wrong .
    ------------------------------------

  6. #6

    Default Re: Black screen - mouse only

    Hi enziosavio,

    Code:
    4: PCI 100.0: 0300 VGA compatible controller (VGA)
      [Created at pci.378]
      Unique ID: VCu0.5NrYAazQrh4
      Parent ID: 3hqH.y+jzA9lDM08
      SysFS ID: /devices/pci0000:00/0000:00:03.0/0000:01:00.0
      SysFS BusID: 0000:01:00.0
      Hardware Class: graphics card
      Model: "nVidia GF106M [GeForce GTX 460M]"
      Vendor: pci 0x10de "nVidia Corporation"
      Device: pci 0x0dd1 "GF106M [GeForce GTX 460M]"
      SubVendor: pci 0x1462 "Micro-Star International Co., Ltd. [MSI]"
      SubDevice: pci 0x1083 
      Revision: 0xa1
      Driver: "nvidia"
      Driver Modules: "nvidia"
      Memory Range: 0xec000000-0xecffffff (rw,non-prefetchable)
      Memory Range: 0xe0000000-0xe7ffffff (ro,non-prefetchable)
      Memory Range: 0xe8000000-0xe9ffffff (ro,non-prefetchable)
      I/O Ports: 0xd000-0xdfff (rw)
      Memory Range: 0x000c0000-0x000dffff (rw,non-prefetchable,disabled)
      IRQ: 40 (15235 events)
      I/O Ports: 0x3c0-0x3df (rw)
      Module Alias: "pci:v000010DEd00000DD1sv00001462sd00001083bc03sc00i00"
      Driver Info #0:
        Driver Status: nouveau is not active
        Driver Activation Cmd: "modprobe nouveau"
      Driver Info #1:
        Driver Status: nvidia_drm is active
        Driver Activation Cmd: "modprobe nvidia_drm"
      Driver Info #2:
        Driver Status: nvidia is active
        Driver Activation Cmd: "modprobe nvidia"
      Config Status: cfg=no, avail=yes, need=no, active=unknown
      Attached to: #17 (PCI bridge)
    
    Primary display adapter: #44

  7. #7

    Default Re: Black screen - mouse only

    Quote Originally Posted by replogi View Post
    Hi enziosavio,

    Code:
    4: PCI 100.0: 0300 VGA compatible controller (VGA)
      [Created at pci.378]
      Unique ID: VCu0.5NrYAazQrh4
      Parent ID: 3hqH.y+jzA9lDM08
      SysFS ID: /devices/pci0000:00/0000:00:03.0/0000:01:00.0
      SysFS BusID: 0000:01:00.0
      Hardware Class: graphics card
      Model: "nVidia GF106M [GeForce GTX 460M]"
      Vendor: pci 0x10de "nVidia Corporation"
      Device: pci 0x0dd1 "GF106M [GeForce GTX 460M]"
      SubVendor: pci 0x1462 "Micro-Star International Co., Ltd. [MSI]"
      SubDevice: pci 0x1083 
      Revision: 0xa1
      Driver: "nvidia"
      Driver Modules: "nvidia"
      Memory Range: 0xec000000-0xecffffff (rw,non-prefetchable)
      Memory Range: 0xe0000000-0xe7ffffff (ro,non-prefetchable)
      Memory Range: 0xe8000000-0xe9ffffff (ro,non-prefetchable)
      I/O Ports: 0xd000-0xdfff (rw)
      Memory Range: 0x000c0000-0x000dffff (rw,non-prefetchable,disabled)
      IRQ: 40 (15235 events)
      I/O Ports: 0x3c0-0x3df (rw)
      Module Alias: "pci:v000010DEd00000DD1sv00001462sd00001083bc03sc00i00"
      Driver Info #0:
        Driver Status: nouveau is not active
        Driver Activation Cmd: "modprobe nouveau"
      Driver Info #1:
        Driver Status: nvidia_drm is active
        Driver Activation Cmd: "modprobe nvidia_drm"
      Driver Info #2:
        Driver Status: nvidia is active
        Driver Activation Cmd: "modprobe nvidia"
      Config Status: cfg=no, avail=yes, need=no, active=unknown
      Attached to: #17 (PCI bridge)
    
    Primary display adapter: #44
    Everything seems fine, even the nvidia drivers are active.
    what this command says
    Code:
    sudo zypper in -D '* kde *'
    ------------------------------------
    Correct me if I'm wrong .
    ------------------------------------

  8. #8

    Default Re: Black screen - mouse only

    Hi,

    I ran "sudo zypper in -D '*kde*'" instead as "* kde *" did not find anything.

    Code:
    Repository-Daten werden geladen...
    Installierte Pakete werden gelesen...
    'polkit-kde-agent-5', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'polkit-kde-agent-5-5.12.5-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'polkit-kde-agent-5-lang', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'polkit-kde-agent-5-lang-5.12.5-1.1.noarch'. Die neueste Version ist bereits installiert.
    'kde-cli-tools5', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kde-cli-tools5-5.12.5-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'kde-gtk-config5-gtk3', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kde-gtk-config5-gtk3-5.12.5-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'kde-gtk-config5', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kde-gtk-config5-5.12.5-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'xdg-desktop-portal-kde-lang', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'xdg-desktop-portal-kde-lang-5.12.90-1.1.noarch'. Die neueste Version ist bereits installiert.
    'kde-gtk-config5-lang', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kde-gtk-config5-lang-5.12.5-1.1.noarch'. Die neueste Version ist bereits installiert.
    'kdeclarative-components', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kdeclarative-components-5.46.0-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'libreoffice-kde4', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'libreoffice-kde4-6.0.4.2-1.6.x86_64'. Die neueste Version ist bereits installiert.
    'kdelibs4support', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kdelibs4support-5.46.0-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'kde-user-manager', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kde-user-manager-5.12.5-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'kdebase4-runtime', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kdebase4-runtime-17.08.3-5.2.x86_64'. Die neueste Version ist bereits installiert.
    'xdg-desktop-portal-kde', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'xdg-desktop-portal-kde-5.12.90-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'kded', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kded-5.46.0-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'kde-user-manager-lang', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kde-user-manager-lang-5.12.5-1.1.noarch'. Die neueste Version ist bereits installiert.
    'tomahawk-kde', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'tomahawk-kde-0.8.99~git20170808T143449-1.2.x86_64'. Die neueste Version ist bereits installiert.
    'kde4-kgreeter-plugins', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kde4-kgreeter-plugins-4.11.22-15.1.x86_64'. Die neueste Version ist bereits installiert.
    'kdebase4-workspace-libs', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kdebase4-workspace-libs-4.11.22-15.1.x86_64'. Die neueste Version ist bereits installiert.
    'libkde4', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'libkde4-4.14.38-5.3.x86_64'. Die neueste Version ist bereits installiert.
    'kded-lang', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kded-lang-5.46.0-1.1.noarch'. Die neueste Version ist bereits installiert.
    'kde-cli-tools5-lang', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kde-cli-tools5-lang-5.12.5-1.1.noarch'. Die neueste Version ist bereits installiert.
    'kdelibs4', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kdelibs4-4.14.38-5.3.x86_64'. Die neueste Version ist bereits installiert.
    'kdelibs4-branding-upstream', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kdelibs4-branding-upstream-4.14.38-5.3.x86_64'. Die neueste Version ist bereits installiert.
    'kdelibs4-core', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kdelibs4-core-4.14.38-5.3.x86_64'. Die neueste Version ist bereits installiert.
    'kdelibs4support-lang', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kdelibs4support-lang-5.46.0-1.1.noarch'. Die neueste Version ist bereits installiert.
    'libkdepimlibs4', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'libkdepimlibs4-4.14.10-7.1.x86_64'. Die neueste Version ist bereits installiert.
    'kde4-filesystem', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kde4-filesystem-4.14-4.3.x86_64'. Die neueste Version ist bereits installiert.
    'libblockdev', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'libblockdev-2.17-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'libblockdev2', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'libblockdev2-2.17-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'libkdecorations2-5', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'libkdecorations2-5-5.12.5-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'libkdecore4', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'libkdecore4-4.14.38-5.3.x86_64'. Die neueste Version ist bereits installiert.
    'libkdecorations2private5', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'libkdecorations2private5-5.12.5-1.1.x86_64'. Die neueste Version ist bereits installiert.
    'libproxy1-config-kde', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'libproxy1-config-kde-0.4.15-2.1.x86_64'. Die neueste Version ist bereits installiert.
    'kde-gtk-config5-gtk2', welches '*kde*' bietet, ist bereits installiert.
    Kein Aktualisierungskandidat für 'kde-gtk-config5-gtk2-5.12.5-1.1.x86_64'. Die neueste Version ist bereits installiert.
    Paketabhängigkeiten werden aufgelöst...
    5 Probleme:
    Problem: patterns-kde-kde_plasma-20170319-15.1.noarch löst kdebase4-workspace-devel ab, das von kdebase4-workspace-devel-4.11.22-15.1.x86_64 zur Verfügung gestellt wurde
    Problem: kdesdk-scripts-18.04.1-1.1.x86_64 löst kdesdk4-scripts < 18.04.1 ab, das von kdesdk4-scripts-17.08.3-1.2.x86_64 zur Verfügung gestellt wurde
    Problem: kdesdk-scripts-kf5-porting-18.04.1-1.1.x86_64 löst kdesdk4-scripts-kf5-porting < 18.04.1 ab, das von kdesdk4-scripts-kf5-porting-17.08.3-1.2.x86_64 zur Verfügung gestellt wurde
    Problem: patterns-kde-kde-20170319-15.1.noarch benötigt pattern() = kde_plasma, kann jedoch nicht zur Verfügung gestellt werden
    Problem: libkdepimlibs4-devel-4.14.10-7.1.x86_64 benötigt libakonadiprotocolinternals-devel, kann jedoch nicht zur Verfügung gestellt werden
    
    Problem: patterns-kde-kde_plasma-20170319-15.1.noarch löst kdebase4-workspace-devel ab, das von kdebase4-workspace-devel-4.11.22-15.1.x86_64 zur Verfügung gestellt wurde
     Lösung 1: Folgende Aktionen werden ausgeführt:
      patterns-kde-kde_plasma-20170319-15.1.noarch nicht installieren
      patterns-kde-kde_imaging-20170319-15.1.noarch nicht installieren
      patterns-media-rest_cd_kde-20170319-21.1.x86_64 nicht installieren
     Lösung 2: kdebase4-workspace-devel-4.11.22-15.1.x86_64 nicht installieren
    
    Wählen Sie aus den obigen Lösungen mittels Nummer oder Sie (u)eberspringen, (w)iederholen oder brechen (a)b [1/2/u/w/a] (a):
    I hope German is ok for you. I tried to change the system language, but zypper stays in German.

    It seems there are some conflicts. I tried to resolve them by removing kde (https://forums.opensuse.org/showthre...s-applications) and then install the "plasma5-session" Pattern (https://de.opensuse.org/SDB:KDE_Plasma_5). This, in the process, deleted kdm, which I first had to reinstall because otherwise I was back to the black screen + mouse before login; without a working IceWM. (sddm is seemingly broken as well.)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •